[QAC generated] "Error While Syncing" Firefox Sync

RESOLVED INCOMPLETE

Status

()

Firefox
General
RESOLVED INCOMPLETE
7 years ago
7 years ago

People

(Reporter: Jeffrey Glusman, Unassigned)

Tracking

3.5 Branch
x86
Mac OS X
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [CLOSEME 2011-05-30])

Attachments

(1 attachment)

(Reporter)

Description

7 years ago
Steps to Reproduce
---------------------------------------
1. (Menu Bar) Tools>Sync>Sync Now (click)

What should have happened:
---------------------------------------
Firefox Sync icon should rotate in the status bar and then stop rotating when the sync has finished. Indicating the Firefox has sucessfully synced.


What actually happened:
----------------------------------------
Firefox Sync icon rotates in the status bar and then stops and a blue "i" in a cirle followed by the words "Error While Syncing" appears in the status bar, indicating sync has failed.
(Reporter)

Comment 1

7 years ago
I also have experienced this bug in UBUNTU w/

Firefox 3.6.10
and
Firefox 4.0b6
and
Firefox Minefield

in addition on Mac

Firefox 3.6.10 on Mac OSX 10.6.4
Firefox 4.0b6 on Mac OSX 10.6.4
Minefield on Mac OSX 10.6.4

Comment 2

7 years ago
I also have experienced this bug in Fedora 13
Firefox 3.6.10

On clicking ¨Ërror While Syncing¨ a dialogue box saying please update Firefox Sync appears, currently running Sync 1.4.4, which is the current version.

Comment 3

7 years ago
I confirm this problem happens with Minefield 4.0pre beta 7 (nightly build from Oct 6th) AND with the latest stable Firefox release, on my iMac and MacBook running the latest OS X 10.6.4.

It happens *even if* I perform a complete, fresh install (trashed all Mozilla related files from the ~/Library/Application Support and ~/Library/Preferences, downloaded Firefox or Minefield, re-installed the program, created a new profile).

Error console reads that it couldn't open library Weavecrypto.js in omni.jar file located in the Minefield package.

Sometimes, instead of the above mentioned error message, I have another one that reads this.close is not a function (related to line 412 in chrome://global/content/bindings/notification.xml.

Comment 4

7 years ago
Seems Sync has changed format on server
Error Console in FF 4beta6 says:
2010-10-07 22:50:48	Service.Main         WARN	Upgrade required to access newer storage version.

on FF 3.6.xx, Sync(add-on) has been updated to 1.5 ( from 1.4 ) 
- this also changed the format on the server
since sync is built into FF 4 beta - how does one update sync ?

Comment 5

7 years ago
This bug also occurs on my installation (Firefox 3.6.7 for OS/2). I have followed all the suggested fixes (disabled all other extensions, changed my password, changed my encryption phrase, reset toolbar, etc.).

This evening I installed Firefox Sync on a friend's computer, and noticed that the format of the encryption phrase seems to have changed since I installed it on mine. Is there more than one version 1.5 of Sync?

In trying to fix this I uninstalled Sync, and then tried to reinstall it from scratch. This revealed another bug: there is apparently no way to delete my account from the server, and no way to convince Sync that I am a new user rather than a returning user. How can I make Firefox forget that I once had Sync installed in the past?

Comment 6

7 years ago
Ditto, Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.2.10) Gecko/20100914 Firefox/3.6.10. Works fine on 2 other computers with same version of FF and of Sync. One is Mac Intel 10.5. The other is Windows XP. about:sync-log says:

2010-10-19 19:57:34	Service.Main         INFO	Loading Weave 1.5
2010-10-19 19:57:34	Engine.Bookmarks     DEBUG	Engine initialized
2010-10-19 19:57:34	Engine.Forms         DEBUG	Engine initialized
2010-10-19 19:57:34	Engine.History       DEBUG	Engine initialized
2010-10-19 19:57:34	Engine.Passwords     DEBUG	Engine initialized
2010-10-19 19:57:34	Engine.Prefs         DEBUG	Engine initialized
2010-10-19 19:57:34	Engine.Tabs          DEBUG	Engine initialized
2010-10-19 19:57:34	Engine.Tabs          DEBUG	Resetting tabs last sync time
2010-10-19 19:57:34	Service.Main         INFO	Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.2.10) Gecko/20100914 Firefox/3.6.10
2010-10-19 19:57:34	Service.Util         DEBUG	Using a fake svc object for @labs.mozilla.com/Weave/Crypto;2
2010-10-19 19:57:34	Service.Main         DEBUG	Caching URLs under storage user base: https://phx-sync334.services.mozilla.com/1.0/jhart50/
2010-10-19 19:57:44	Service.Main         INFO	Logging in user jhart50
2010-10-19 19:57:45	Net.Resource         DEBUG	GET success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/info/collections
2010-10-19 19:57:46	Net.Resource         DEBUG	GET success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/storage/keys/pubkey
2010-10-19 19:57:46	Net.Resource         DEBUG	GET success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/storage/keys/privkey
2010-10-19 19:57:55	Net.Resource         DEBUG	GET success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/info/collections
2010-10-19 19:57:55	Service.Main         DEBUG	Clearing cached crypto records
2010-10-19 19:57:55	Service.Main         DEBUG	Clearing cached keys records
2010-10-19 19:57:55	Service.Main         DEBUG	Clearing cached meta record.
2010-10-19 19:57:55	Net.Resource         DEBUG	GET success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/storage/meta/global
2010-10-19 19:57:55	Service.Main         DEBUG	Weave Version: 1.5 Local Storage: 3 Remote Storage: 3
2010-10-19 19:57:55	Net.Resource         DEBUG	GET success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/storage/keys/pubkey
2010-10-19 19:57:55	Net.Resource         DEBUG	GET success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/storage/keys/privkey
2010-10-19 19:57:55	Net.Resource         DEBUG	GET success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/storage/crypto/clients
2010-10-19 19:57:55	Engine.Clients       DEBUG	Purging bad data after failed unwrap crypto: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIKeyObjectFactory.keyFromString]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: file:///Users/jhart/Library/Application%20Support/Firefox/Profiles/u1ofw2ex.default/extensions/%7B340c2bbc-ce74-4362-90b5-7c26312808ef%7D/modules/base_records/crypto.js :: anonymous :: line 196"  data: no]
2010-10-19 19:57:55	Net.Resource         DEBUG	DELETE success 200 https://phx-sync334.services.mozilla.com/1.0/jhart50/storage/clients
2010-10-19 19:57:55	Engine.Clients       DEBUG	Resetting clients last sync time
2010-10-19 19:57:55	Engine.Clients       WARN	Sync failed
2010-10-19 19:57:55	Engine.Clients       DEBUG	Total (ms): sync 268, syncStartup 267, resetClient 5, wipeClient 5, resetLastSync 2, wipeServer 129
2010-10-19 19:57:55	Service.Main         DEBUG	Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [IWeaveCrypto.generateRandomKey] Stack trace: SyncEngine__syncStartup()@engines.js:412 < anonymous()@engines.js:196 < SyncEngine__sync()@engines.js:749 < anonymous()@engines.js:196 < WrappedNotify()@util.js:115 < Engine_sync()@engines.js:206 < WeaveSvc__syncEngine()@service.js:1559 < anonymous()@service.js:1415 < WrappedNotify()@util.js:115 < WrappedLock()@util.js:87 < WrappedCatch()@util.js:66 < sync()@service.js:1332 < anonymous()@sync.js:380
2010-10-19 19:57:55	Service.Engines      DEBUG	Could not get engine: clients
2010-10-19 19:57:55	Service.Main         DEBUG	Exception: Some engines did not sync correctly No traceback available

Comment 7

7 years ago
(In reply to comment #1)
> I also have experienced this bug in UBUNTU w/
> 
> Firefox 3.6.10
> and
> Firefox 4.0b6
> and
> Firefox Minefield
> 
> in addition on Mac
> 
> Firefox 3.6.10 on Mac OSX 10.6.4
> Firefox 4.0b6 on Mac OSX 10.6.4
> Minefield on Mac OSX 10.6.4

You will need to use this beta addon. https://services.mozilla.com/update/

Comment 8

7 years ago
If your logs says 0x80004005 (NS_ERROR_FAILURE) it usually means sync key.
1) Check for encrypted key in password store
2) Make sure password store is accessible by sync (FIPS 140 blocks sync (sync bug)
Reporter, are you still seeing this issue with Firefox 4.0.1 or later in safe mode or a fresh profile? If not, please close. These links can help you in your testing.
http://support.mozilla.com/kb/Safe+Mode
http://support.mozilla.com/kb/Managing+profiles
Whiteboard: [CLOSEME 2011-05-30]
No reply, INCOMPLETE. Please retest with Firefox 4 or later and a new profile (http://support.mozilla.com/kb/Managing+profiles). Also, ensure you have the most up to date graphics drivers, operating system updates, and plugin versions (flash, java, etc). If you continue to see this issue with the newest Firefox and a new profile, then please comment on this bug.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → INCOMPLETE

Comment 11

7 years ago
Created attachment 547054 [details]
Sync failure logs with FIPS logged, using iceweasel 5.0
You need to log in before you can comment on or make changes to this bug.